Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal.cpp	(revision 75)
@@ -11,5 +11,5 @@
 namespace behavioural          {
 
-  Signal::Signal  (string          name         ,
+  Signal::Signal  (std::string          name         ,
 		   direction_t     direction    ,
 		   uint32_t        size         ,
@@ -30,5 +30,5 @@
     _type_info           = UNKNOW;
 #ifdef VHDL_TESTBENCH
-    _list_value          = new list<string>;
+    _list_value          = new std::list<std::string>;
 #endif
     log_printf(FUNC,Behavioural,"Signal","End");
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_connect.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_connect.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_connect.cpp	(revision 75)
@@ -18,5 +18,5 @@
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
     
-    cout << "connected : " << get_name() << "\twith " << signal_dest->get_name() << endl;
+    //std::cout << "connected : " << get_name() << "\twith " << signal_dest->get_name() << std::endl;
     
     if ((_direction == IN ) and (signal_dest->_direction == IN ))
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_get_name.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_get_name.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_get_name.cpp	(revision 75)
@@ -14,8 +14,8 @@
 #undef  FUNCTION
 #define FUNCTION "Signal::get_name"
-  string Signal::get_name (void)
+  std::string Signal::get_name (void)
   {
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
-    string _return = _name;
+    std::string _return = _name;
     log_printf(FUNC,Behavioural,FUNCTION,"End");
     return _return;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_get_name_vhdl.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_get_name_vhdl.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_get_name_vhdl.cpp	(revision 75)
@@ -15,5 +15,5 @@
 #undef  FUNCTION
 #define FUNCTION "Signal::get_name_vhdl"
-  void Signal::get_name_vhdl (list<string> *& list_signal)
+  void Signal::get_name_vhdl (std::list<std::string> *& list_signal)
   {
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_get_reset_cycle.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_get_reset_cycle.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_get_reset_cycle.cpp	(revision 75)
@@ -21,5 +21,5 @@
     uint32_t num = 0;
     uint32_t cpt = 0;
-    string   cmp = (active_low==true)?"0":"1";
+    std::string   cmp = (active_low==true)?"0":"1";
 
     if ((_presence_port == RESET_VHDL_YES) or
@@ -28,5 +28,5 @@
 	if (_list_value->empty()== false)
 	  {
-	    list<string>::iterator i = _list_value->begin();
+	    std::list<std::string>::iterator i = _list_value->begin();
 	    
 	    while (i != _list_value->end())
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_print.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_print.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_print.cpp	(revision 75)
@@ -11,6 +11,6 @@
 namespace behavioural          {
 
-  ostream& operator<< (ostream& output_stream,
-		       morpheo::behavioural::Signal & x)
+  std::ostream& operator<< (std::ostream& output_stream,
+			    morpheo::behavioural::Signal & x)
   {
     log_printf(FUNC,Behavioural,"operator<<","Begin");
@@ -20,5 +20,5 @@
 		  << toString(x._direction)    << "\t"
 		  << toString(x._presence_port)
-		  << "sc_signal : " << hex << x._sc_signal << " - " << x._sc_signal_map << dec;
+		  << "sc_signal : " << std::hex << x._sc_signal << " - " << x._sc_signal_map << std::dec;
 
     log_printf(FUNC,Behavioural,"operator<<","End");
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_test_map.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_test_map.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_test_map.cpp	(revision 75)
@@ -31,5 +31,5 @@
 	    {
 	      if (_return == false)
-		cerr << "Signal \"" << _name << "\" is not mapped with an outpout port or a component." << endl;
+		std::cerr << "Signal \"" << _name << "\" is not mapped with an outpout port or a component." << std::endl;
 	      break;
 	    }
@@ -37,5 +37,5 @@
 	    {
 	      if (_return == false)
-		cerr << "Signal \"" << _name << "\" is not mapped with an input port or a component." << endl;
+		std::cerr << "Signal \"" << _name << "\" is not mapped with an input port or a component." << std::endl;
 	      break;
 	    }
@@ -52,7 +52,7 @@
 	  {
 	    if (_is_map_as_src  == false)
-	      cerr << "Signal \"" << _name << "\" is not mapped as source" << endl;
+	      std::cerr << "Signal \"" << _name << "\" is not mapped as source" << std::endl;
 	    if (_is_map_as_dest == false)
-	      cerr << "Signal \"" << _name << "\" is not mapped as destination" << endl;
+	      std::cerr << "Signal \"" << _name << "\" is not mapped as destination" << std::endl;
 	  }
       }
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_testbench.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_testbench.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_testbench.cpp	(revision 75)
@@ -22,5 +22,5 @@
 	(_presence_port == RESET_VHDL_NO              ) )
       {
-	string str;
+	std::string str;
 
 	switch (_type_info)
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_testbench_body.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_testbench_body.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_testbench_body.cpp	(revision 75)
@@ -13,6 +13,6 @@
 
   void Signal::testbench_body (Vhdl * & vhdl,
-			       string   counter_name,
-			       string   reset_name  )
+			       std::string   counter_name,
+			       std::string   reset_name  )
   {
     log_printf(FUNC,Behavioural,"testbench_body","Begin");
@@ -24,5 +24,5 @@
       if (_list_value->empty()== false)
 	{
-	  string separator;
+	  std::string separator;
 	  if (_size == 1)
 	    separator = "\'";
@@ -30,5 +30,5 @@
 	    separator = "\"";
 	  
-	  string signame = (_direction==OUT)?(_name+"_test"):_name;
+	  std::string signame = (_direction==OUT)?(_name+"_test"):_name;
 	  
 	  vhdl->set_body ("");
@@ -37,9 +37,9 @@
 	  
 	  uint32_t cpt = 0;
-	  list<string>::iterator i = _list_value->begin();
+	  std::list<std::string>::iterator i = _list_value->begin();
 	  
 	  while (i != _list_value->end())
 	    {
-	      list<string>::iterator j = i;
+	      std::list<std::string>::iterator j = i;
 	      
 	      ++i;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Stat_have_counter.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Stat_have_counter.cpp	(revision 75)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Stat_have_counter.cpp	(revision 75)
@@ -0,0 +1,19 @@
+#ifdef STATISTICS
+#include "Behavioural/include/Stat.h"
+
+namespace morpheo {
+namespace behavioural {  
+
+  bool Stat::have_counter (void)
+  {
+    for (std::map<std::string, var_t>::iterator i=_list_operand->begin();
+	 i!= _list_operand->end();
+	 ++i)
+      if (i->second.type == TYPE_COUNTER)
+	return true;
+
+    return false;
+  }
+};  
+};
+#endif
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Stat_print.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Stat_print.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Stat_print.cpp	(revision 75)
@@ -21,57 +21,61 @@
 	 stat != _list_stat->end();
 	 stat ++)
-      xml.text((*stat)->print(depth+1));
+      xml.text((*stat)->print(1));
     
 
     // Test special case
-    if (_cycle_sum < _nb_cycle_before_begin)
+
+    if (have_counter())
       {
-	xml.comment(_("Number of cycle is less than the number minimal"));
-      }
-    else
-      {
-	bool stop = false;
-	cycle_t nb_cycle_min;
-	cycle_t nb_cycle_max = _nb_cycle_before_begin-1;
-	for (cycle_t period=0; stop==false; period++)
+	if (_cycle_sum < _nb_cycle_before_begin)
 	  {
-	    std::map<std::string, var_t>::iterator operand=_list_operand->begin();
+	    xml.comment(_("Number of cycle is less than the number minimal"));
+	  }
+	else
+	  {
+	    bool stop = false;
+	    cycle_t nb_cycle_min;
+	    cycle_t nb_cycle_max = _nb_cycle_before_begin-1;
+	    for (cycle_t period=0; stop==false; period++)
+	      {
+		std::map<std::string, var_t>::iterator operand=_list_operand->begin();
+		
+		if (operand->second.save_counter.size()==0)
+		  throw(ERRORMORPHEO("Stat::generate_file",_("Queue 'save_counter' is empty.")));
+		
+		bool last = operand->second.save_counter.size()==1;
+		
+		nb_cycle_min  = nb_cycle_max+1;
+		
+		if (last)
+		  nb_cycle_max = static_cast<cycle_t>(_cycle_sum);
+		else
+		  nb_cycle_max += _period;
 
-	    if (operand->second.save_counter.size()==0)
-	      throw(ERRORMORPHEO("Stat::generate_file",_("Queue 'save_counter' is empty.")));
-
-	    bool last = operand->second.save_counter.size()==1;
-
-	    nb_cycle_min  = nb_cycle_max+1;
-
-	    if (last)
-	      nb_cycle_max = static_cast<cycle_t>(_cycle_sum);
-	    else
-	      nb_cycle_max += _period;
-
-	    xml.balise_open_begin("period");
-	    xml.attribut("number",toString(period));
-	    xml.attribut("nb_cycle_min",toString(nb_cycle_min));
-	    xml.attribut("nb_cycle_max",toString(nb_cycle_max));
-	    xml.balise_open_end();
-	    
-	    for (;
-		 operand!= _list_operand->end();
-		 ++operand)
-	      {
-		if (operand->second.type == TYPE_COUNTER)
+		xml.balise_open_begin("period");
+		xml.attribut("number",toString(period));
+		xml.attribut("nb_cycle_min",toString(nb_cycle_min));
+		xml.attribut("nb_cycle_max",toString(nb_cycle_max));
+		xml.balise_open_end();
+		
+		for (;
+		     operand!= _list_operand->end();
+		     ++operand)
 		  {
-		    xml.singleton_begin(operand->second.name);
-		    xml.attribut("value",toString(operand->second.save_counter.front()));
-		    xml.attribut("unit",operand->second.unit);
-		    xml.attribut("description",operand->second.description);
-		    xml.singleton_end();
+		    if (operand->second.type == TYPE_COUNTER)
+		      {
+			xml.singleton_begin(operand->second.name);
+			xml.attribut("value",toString(operand->second.save_counter.front()));
+			xml.attribut("unit",operand->second.unit);
+			xml.attribut("description",operand->second.description);
+			xml.singleton_end();
+		      }
+		    operand->second.save_counter.pop_front();
 		  }
-		operand->second.save_counter.pop_front();
+		
+		xml.balise_close();
+		
+		stop = last;
 	      }
-
-	    xml.balise_close();
-	    
-	    stop = last;
 	  }
       }
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/XML_text.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/XML_text.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/XML_text.cpp	(revision 75)
@@ -16,5 +16,5 @@
   {
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
-    _body += indent()+text+"\n";
+    _body += indent()+text; // +"\n";
     log_printf(FUNC,Behavioural,FUNCTION,"End");
 
